//
//  AMComboTickerSign.h
//  AMTickerService
//
//  Created by Andreas Mayer on 16.11.11.
//  Copyright (c) 2011 Andreas Mayer. All rights reserved.
//

#import "AMTickerSign.h"

@interface AMComboTickerSign : AMTickerSign {
@private
	NSRect imageTargetRect;
	NSPoint textOffset;
}

@property (strong, nonatomic) NSImage *image;
@property (copy, nonatomic) id text;
@property (assign, nonatomic) NSCellImagePosition imagePosition;
@property (strong, nonatomic) NSFont *font; // optional
@property (strong, nonatomic) NSColor *textColor; // optional

- (id)initWithText:(id)text andImage:(NSImage *)image;
// text may be an NSString or an NSAttributedString.
// NSStrings will render with font and textColor.
// NSAttributedStrings will be resized proportionally for rendering but will retain all other attributes.

@end
