

extern NSString *const AMTickerDisplayMessageNotification;


extern int const AMEndlessLoopCount;

typedef enum AMScrollDirection {
	AMScrollDefault = 0,
	AMScrollHorizontal = 1,
	AMScrollVertical = 2
} AMScrollDirection;

typedef enum AMTickerActionType {
	AMTickerActionTypeNone = 0,
	AMTickerActionTypeURL = 1,
	AMTickerActionTypeCustom = 99
} AMTickerActionType;

extern NSString *const AMTickerMessageSenderIdentifierKey; // NSString
extern NSString *const AMTickerMessageSenderNameKey; // NSString
extern NSString *const AMTickerMessageIdentifierKey; // NSString
extern NSString *const AMTickerMessageTextKey; // NSString
extern NSString *const AMTickerMessageImageKey; // NSData with TIFF representation of image
extern NSString *const AMTickerMessagePriorityKey; // int wrapped in NSNumber
extern NSString *const AMTickerMessageLoopCountKey; // int wrapped in NSNumber
extern NSString *const AMTickerMessageLoopDelayKey; // NSTimeInterval (float) wrapped in NSNumber
extern NSString *const AMTickerMessageScrollDirectionKey; // int wrapped in NSNumber
extern NSString *const AMTickerMessageContinuousScrollingKey; // BOOL wrapped in NSNumber
extern NSString *const AMTickerMessageActionTypeKey; // int wrapped in NSNumber
extern NSString *const AMTickerMessageActionStringKey; // NSString
extern NSString *const AMTickerMessageActionDataKey; // NSData - user defined data

