//
//  NSScanner+AMExtensions.h
//  TimeTicker
//
//  Created by Andreas Mayer on 01.10.11.
//  Copyright (c) 2011 Andreas Mayer. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSScanner (AMExtensions)

- (NSString *)characterAtScanLocation;

// put the character at the current scan location into string and move scan location forward
- (BOOL)scanCharacterIntoString:(NSString **)string;

// advance scan location by one character
- (BOOL)advance;


@end
