//
//  NSWorkspace_AMAdditions.h
//  MailTicker
//
//  Created by Andreas on 26.07.04.
//  Copyright 2004 Andreas Mayer. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSWorkspace (AMAdditions)

- (BOOL)appRunningWithBundleIdentifier:(NSString *)bundleIdentifier;

- (BOOL)trashFile:(NSString *)filename atPath:(NSString *)pathname;

// this might return NO if there are lots of files to move ...
// should really be handled somehow
- (BOOL)trashFiles:(NSArray *)filenames atPath:(NSString *)pathname;

- (BOOL)trashFileAtPath:(NSString *)path;

- (void)operatingSystemVersion:(long *)majorVersion minor:(long *)minorVersion bugFix:(long *)bugFixVersion;


@end
