//
//  AMDraggingDestinationScrollView.h
//  NewsTicker
//
//  Created by Andreas on 02.09.04.
//  Copyright 2004 Andreas Mayer. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface AMDraggingDestinationScrollView : NSScrollView {
	BOOL _drawDraggingHighlight;
	id _am_delegate;
}

- (id)delegate;
- (void)setDelegate:(id)newDelegate;

@end


// will be sent to delegate
@interface NSObject (HighlightDraggingTarget)
- (void)highlightDraggingTarget:(BOOL)doHighlight;
@end

