//
//  AMTickerDisplayProtocol.h
//  AMTickerService
//
//  Created by Andreas Mayer on 19.11.11.
//  Copyright (c) 2011 Andreas Mayer. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AMTickerDefinitions.h"

@protocol AMTickerDisplayProtocol <NSObject>

@property (readonly, nonatomic) NSSize size;
@property (readonly, nonatomic) AMScrollDirection scrollDirection;
@property (readonly, nonatomic) NSFont *defaultFont;
@property (readonly, nonatomic) CGFloat textOffset; // offset from bottom
@property (readonly, nonatomic) NSColor *defaultTextColor;
@property (readonly, nonatomic) BOOL shouldAutoscale;
@property (readonly) NSTimeInterval suggestedWaitTime;


@end
