//
//  NSAttributedString_AMAdditions.h
//  NewsTicker
//
//  Created by Andreas on 19.08.04.
//  Copyright 2004 Andreas Mayer. All rights reserved.
//

//	2005-12-10	Andreas Mayer
//	- added -componentsSeparatedByLineDelimiter
//	2005-12-13	Andreas Mayer
//	- added -attributedStringWithString:attributes:


#import <Cocoa/Cocoa.h>


@interface NSAttributedString (AMAdditions)

+ (NSAttributedString *)attributedStringWithString:(NSString *)aString attributes:(NSDictionary *)attributes;

+ (NSAttributedString *)attributedStringWithImage:(NSImage *)image font:(NSFont *)font;

- (NSArray *)componentsSeparatedByLineDelimiter;


@end
