//
//  NSCalendarDate_AMAdditions.h
//  TickerUpdate
//
//  Created by Andreas on 29.11.04.
//  Copyright 2004 Andreas Mayer. All rights reserved.
//

//	2006-07-03	AM		added equalToDay:
//	2006-07-17	AM		added minuteOfDay

#import <Cocoa/Cocoa.h>


@interface NSCalendarDate (AMAdditions)

+ (NSCalendarDate *)dateByRemovingTimeFromDate:(NSDate *)date;

- (NSCalendarDate *)startOfDay;

- (NSCalendarDate *)startOfNextDay;

- (NSCalendarDate *)startOfMonth;

- (NSCalendarDate *)startOfNextMonth;

- (BOOL)equalToDay:(NSCalendarDate *)date;

- (BOOL)isToday;

- (BOOL)isYesterday;

- (NSInteger)minuteOfDay;


@end
