//
//  NSCalendar_AMGregorian.h
//  DateFormatterTest
//
//  Created by Andreas on 08.10.09.
//  Copyright 2009 Andreas Mayer. All rights reserved.
//
//  common methods for gregorian calendar


#import <Foundation/Foundation.h>


@interface NSCalendar (AMGregorian)

+ (NSCalendar *)gregorianCalendar;

- (NSDate *)dateFromYear:(int)year month:(int)month day:(int)day;

- (NSDate *)dateFromYear:(int)year month:(int)month day:(int)day hour:(int)hour minute:(int)minute second:(int)second;

- (NSDateComponents *)gregorianDateComponentsForDate:(NSDate *)date; // Day Month Year

- (NSDateComponents *)gregorianTimeComponentsForDate:(NSDate *)date; // Hour Minute Second

- (NSDateComponents *)gregorianDateAndTimeComponentsForDate:(NSDate *)date; // Day Month Year Hour Minute Second


@end
