//
//  NSMutableString+AMAdditions.h
//  CommX
//
//  Created by Andreas on Fri Aug 23 2002.
//  Copyright (c) 2002 Andreas Mayer. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSMutableString (AMAdditions)

// Adds the characters of aString to the end of the receiver. aString _may_ be nil.
- (void)appendNilString:(NSString *)aString;

- (void)removeCharactersNotInSet:(NSCharacterSet *)characterSet;

- (void)deleteCharactersFromIndex:(int)index;

// clears the string
- (void)deleteAllCharacters;


@end
